package graphlib;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class MidpointSolver extends DESolver {
    public MidpointSolver(Derivable d) {
        super(d);
    }

    public double[] calculate(double t, double h, double[] x) throws MatrixException {
        double[] dx = MatrixCalculations.multiplyVectorByX(d.dydt(x,t),h);
        double[] fmid = d.dydt(MatrixCalculations.multiplyVectorByX(MatrixCalculations.sumVectors(x, dx), 0.5), (t+h)/2.0);
        return MatrixCalculations.sumVectors(x,MatrixCalculations.multiplyVectorByX(fmid,h));
    }

}