/*
 * Collision.java
 *
 * Created on 28. lokakuuta 2004, 9:44
 */

package marbles;

/**
 *
 * @author  annauvi
 */
public class Collision {
    private Marble marble1 = null; 
    private Marble marble2 = null;
    double[] p = new double[3]; //trmyspiste
    double[] n = new double[3]; //marble2:n normaali 
    
    
    /** Creates a new instance of Collision */
    public Collision(Marble m1, Marble m2, double[] p, double[] n) {
        this.marble1 = m1;
        this.marble2 = m2;
        this.p = p;
        this.n = n;
    }
    
    public Collision( Marble m, double[] p, double[] n) {
        this.marble1 = m;
        this.p = p;
        this.n = n;
    }
    
    public Marble getMarble1() {
      return marble1;
    }
    
    public Marble getMarble2() {
      return marble2;
    }
    
    public double[] getP() {
      return p;
    }
    
    public double[] getN() {
        return n;
    }
}
