/*
 * ForceGravity.java
 *
 * Created on 19. heinkuuta 2004, 15:26
 */

package marbles.force;

import graphlib.*;

/**
 * Gravity.
 * @author  millat
 */
public class ForceGravity implements Force {
    
    private double [] g = new double [] { 0, 0, -9.80665 };
    
    /** Creates a new instance of ForceGravity */
    public ForceGravity() {
    }
    
    public void applyForce(marbles.Marble m) throws MatrixException {
        m.addForce(MatrixCalculations.multiplyVectorByX(g, m.getMass()));
    }
    
}
