/*
 * JLabelLog.java
 *
 * Created on 19. heinkuuta 2004, 16:32
 */
package marbles.log;

import javax.swing.*;

/**
 *
 * @author  millat
 */
public class JLabelLog extends JLabel implements LogInterface {

  /** Creates a new instance of JLabelLog */
  public JLabelLog() {
    super();
  }

  public JLabelLog(String text) {
    super(text);
  }

  public void info(String message) {
    this.setText(message);
  }

  public void info(String header, String message) {
    this.setText(header + ": " + message);
  }

  public void error(Throwable error) {
    this.setText(error.getMessage());
  }
}
